LibreOffice: CellAnnotations Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
CellAnnotations Service Referencepublished

represents a collection of cell annotations. More...

`import"CellAnnotations.idl";`

Inheritance diagram for CellAnnotations:

## Exported Interfaces
interface | com::sun::star::sheet::XSheetAnnotations
| provides methods to access cell annotations via index and to insert and remove annotations. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all cell annotations. More...

## Additional Inherited Members
Public Member Functions inherited from XSheetAnnotations
void | insertNew ([in] com::sun::star::table::CellAddress aPosition, [in] string aText)
| creates a new annotation. More...
void | removeByIndex ([in] long nIndex)
| removes a cell annotation from the collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

represents a collection of cell annotations.

See also
  com::sun::star::sheet::Spreadsheet

## Exported Interfaces

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all cell annotations.

See also
  com::sun::star::sheet::CellAnnotationsEnumeration

interface com::sun::star::sheet::XSheetAnnotations

provides methods to access cell annotations via index and to insert and remove annotations.

See also
  com::sun::star::sheet::CellAnnotation

The documentation for this service was generated from the following file:

- com/sun/star/sheet/CellAnnotations.idl